import React, { FC } from 'react';
import { Form, FormInstance } from 'antd';
import { CustomInput, FilledButton, LinkButton } from '../../view';

type ResetProps = {
    form: FormInstance;
    updateMode: (mode: 'enter' | 'register' | 'reset' | 'finish') => void;
}

export const ResetContent: FC<ResetProps> = ({
    form,
    updateMode
}) => {
    const onResetPassword = () => {
        console.log('reset');
    };

    return (
        <>
            <Form form={form} autoComplete="off" style={{ display: 'flex', gap: 16, flexDirection: 'column' }}>
                <Form.Item
                    name="login"
                    noStyle
                    rules={[
                        {
                            type: 'email',
                            message: 'The input is not valid E-mail'
                        },
                        {
                            required: true,
                            message: 'Please input your E-mail'
                        }
                    ]}
                >
                    <CustomInput
                        size="small"
                        placeholder="E-mail"
                        type="email"
                    />
                </Form.Item>
            </Form>
            <FilledButton
                type="primary"
                onClick={onResetPassword}
            >
                Reset Password
            </FilledButton>
            <LinkButton
                type="link"
                onClick={() => updateMode('enter')}
            >
                Enter
            </LinkButton>
        </>
    );
}
